package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--火电、钢铁基本信息对象 b_stat_table_zxbg_hd_gt_basic
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电、钢铁基本信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_hd_gt_basic")
public class BStatTableZxbgHdGtBasic extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "机组名称")
    /** 机组名称 */
    @Excel(name = "机组名称")
    private String unitName;


    @ApiModelProperty(value = "规模（万千瓦）")
    /** 规模（万千瓦） */
    @Excel(name = "规模（万千瓦）")
    private String scale;


    @ApiModelProperty(value = "设计运行时间（小时）")
    /** 设计运行时间（小时） */
    @Excel(name = "设计运行时间（小时）")
    private String runTime;


    @ApiModelProperty(value = "发电量（万千瓦时）")
    /** 发电量（万千瓦时） */
    @Excel(name = "发电量（万千瓦时）")
    private String powerGeneration;


    @ApiModelProperty(value = "供热量（万吉焦）")
    /** 供热量（万吉焦） */
    @Excel(name = "供热量（万吉焦）")
    private String heatSupply;


    @ApiModelProperty(value = "实际运行时间（小时）")
    /** 实际运行时间（小时） */
    @Excel(name = "实际运行时间（小时）")
    private String actualRunningTime;


    @ApiModelProperty(value = "平均负荷率")
    /** 平均负荷率 */
    @Excel(name = "平均负荷率")
    private String averageLoadRatio;

    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("unitName", getUnitName())
            .append("scale", getScale())
            .append("runTime", getRunTime())
            .append("powerGeneration", getPowerGeneration())
            .append("heatSupply", getHeatSupply())
            .append("actualRunningTime", getActualRunningTime())
            .append("averageLoadRatio", getAverageLoadRatio())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .toString();
    }
}
